com.tibbo.aggregate.common

## Class Log

- java.lang.Object
- - com.tibbo.aggregate.common.Log

-     public class Log
      extends java.lang.Object

  IMPORTANT! Any logger added to this file must be immediately documented and registered in installed versions of server and client logging configuration files.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `ALERTS`
    `static org.apache.log4j.Logger` | `APPLICATIONS`
    `static org.apache.log4j.Logger` | `AUTORUN`
    `static org.apache.log4j.Logger` | `BILLING`
    `static org.apache.log4j.Logger` | `BINDINGS`
    `static org.apache.log4j.Logger` | `CCM`
    `static org.apache.log4j.Logger` | `CDATA`
    `static org.apache.log4j.Logger` | `CLASSES`
    `static java.lang.String` | `CLIENT_LOGGING_CONFIG_FILENAME`
    `static org.apache.log4j.Logger` | `CLIENTS`
    `static org.apache.log4j.Logger` | `CLUSTER`
    `static org.apache.log4j.Logger` | `CODE_EDITOR`
    `static org.apache.log4j.Logger` | `COMMANDS`
    `static org.apache.log4j.Logger` | `COMMANDS_AGENT`
    `static org.apache.log4j.Logger` | `COMMANDS_CLIENT`
    `static org.apache.log4j.Logger` | `COMMANDS_DISTRIBUTED`
    `static org.apache.log4j.Logger` | `COMMANDS_DS`
    `static org.apache.log4j.Logger` | `CONFIG`
    `static org.apache.log4j.Logger` | `CONTEXT`
    `static org.apache.log4j.Logger` | `CONTEXT_ACTIONS`
    `static org.apache.log4j.Logger` | `CONTEXT_CHILDREN`
    `static org.apache.log4j.Logger` | `CONTEXT_EVENTS`
    `static org.apache.log4j.Logger` | `CONTEXT_FUNCTIONS`
    `static org.apache.log4j.Logger` | `CONTEXT_INFO`
    `static org.apache.log4j.Logger` | `CONTEXT_VARIABLES`
    `static org.apache.log4j.Logger` | `CONTEXT_WEBSERVER`
    `static org.apache.log4j.Logger` | `CONVERTER`
    `static org.apache.log4j.Logger` | `CORE`
    `static org.apache.log4j.Logger` | `CORE_THREAD`
    `static org.apache.log4j.Logger` | `CORRELATOR`
    `static org.apache.log4j.Logger` | `DASHBOARDS`
    `static org.apache.log4j.Logger` | `DATABASE`
    `static org.apache.log4j.Logger` | `DATATABLE`
    `static org.apache.log4j.Logger` | `DATATABLE_FILTER`
    `static org.apache.log4j.Logger` | `DATATABLEEDITOR`
    `static org.apache.log4j.Logger` | `DEBUG`
    `static org.apache.log4j.Logger` | `DEVICE`
    `static org.apache.log4j.Logger` | `DEVICE_AGENT`
    `static org.apache.log4j.Logger` | `DEVICE_DISCOVERY`
    `static org.apache.log4j.Logger` | `DEVICE_LICENSE`
    `static org.apache.log4j.Logger` | `DEVICE_SYNCHRONIZATION`
    `static org.apache.log4j.Logger` | `DEVICEBROWSER`
    `static org.apache.log4j.Logger` | `DEVICESERVER`
    `static org.apache.log4j.Logger` | `DEVICESERVER_INBANDS`
    `static org.apache.log4j.Logger` | `DNS`
    `static org.apache.log4j.Logger` | `ENTITYSELECTOR`
    `static org.apache.log4j.Logger` | `EVENTFILTER`
    `static org.apache.log4j.Logger` | `EVENTLOG`
    `static org.apache.log4j.Logger` | `EXPRESSIONBUILDER`
    `static org.apache.log4j.Logger` | `EXPRESSIONS`
    `static org.apache.log4j.Logger` | `FAILOVER`
    `static org.apache.log4j.Logger` | `FAVOURITES`
    `static org.apache.log4j.Logger` | `GRANULATION`
    `static org.apache.log4j.Logger` | `GROUPS`
    `static org.apache.log4j.Logger` | `GUI`
    `static org.apache.log4j.Logger` | `GUIBUILDER`
    `static org.apache.log4j.Logger` | `GUIDE`
    `static int` | `LOGGING_CONFIG_CHECK_INTERVAL`
    `static java.lang.String` | `LOGGING_CONFIG_FILENAME`
    `static org.apache.log4j.Logger` | `MAIL`
    `static org.apache.log4j.Logger` | `MOBILE`
    `static org.apache.log4j.Logger` | `MODELS`
    `static org.apache.log4j.Logger` | `NETADMIN`
    `static org.apache.log4j.Logger` | `NOSQL`
    `static org.apache.log4j.Logger` | `PERFORMANCE`
    `static org.apache.log4j.Logger` | `PERMISSIONS`
    `static org.apache.log4j.Logger` | `PING`
    `static org.apache.log4j.Logger` | `PING_STATS`
    `static org.apache.log4j.Logger` | `PLUGINS`
    `static org.apache.log4j.Logger` | `PROPERTIESEDITOR`
    `static org.apache.log4j.Logger` | `PROTOCOL`
    `static org.apache.log4j.Logger` | `PROTOCOL_CACHING`
    `static org.apache.log4j.Logger` | `QUERIES`
    `static org.apache.log4j.Logger` | `REPORTS`
    `static org.apache.log4j.Logger` | `REQUESTS`
    `static org.apache.log4j.Logger` | `RESOURCE`
    `static org.apache.log4j.Logger` | `REST`
    `static java.lang.String` | `ROOT`
    `static org.apache.log4j.Logger` | `SCHEDULER`
    `static org.apache.log4j.Logger` | `SCRIPTS`
    `static org.apache.log4j.Logger` | `SECURITY`
    `static org.apache.log4j.Logger` | `STATISTICS`
    `static org.apache.log4j.Logger` | `STDERR`
    `static org.apache.log4j.Logger` | `STDOUT`
    `static org.apache.log4j.Logger` | `STORE`
    `static org.apache.log4j.Logger` | `STRUCTURE`
    `static org.apache.log4j.Logger` | `SYSTEMTREE`
    `static org.apache.log4j.Logger` | `TEMPLATES`
    `static org.apache.log4j.Logger` | `TEST`
    `static org.apache.log4j.Logger` | `TRACKERS`
    `static org.apache.log4j.Logger` | `USERS`
    `static org.apache.log4j.Logger` | `VIEW`
    `static org.apache.log4j.Logger` | `WATCHDOG`
    `static org.apache.log4j.Logger` | `WATCHDOG_MEASURE`
    `static org.apache.log4j.Logger` | `WEB`
    `static org.apache.log4j.Logger` | `WIDGETS`
    `static org.apache.log4j.Logger` | `WORKFLOWS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `start()`
    `static void` | `start(java.lang.String loggingConfigFile)`
    `static void` | `start(java.lang.String homeDirectory, java.lang.String loggingConfigFile)`
    `static void` | `start(java.net.URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final java.lang.String ROOT

      See Also:
        Constant Field Values

    - #### ALERTS

          public static final org.apache.log4j.Logger ALERTS

    - #### APPLICATIONS

          public static final org.apache.log4j.Logger APPLICATIONS

    - #### AUTORUN

          public static final org.apache.log4j.Logger AUTORUN

    - #### BINDINGS

          public static final org.apache.log4j.Logger BINDINGS

    - #### COMMANDS

          public static final org.apache.log4j.Logger COMMANDS

    - #### COMMANDS_AGENT

          public static final org.apache.log4j.Logger COMMANDS_AGENT

    - #### COMMANDS_CLIENT

          public static final org.apache.log4j.Logger COMMANDS_CLIENT

    - #### COMMANDS_DISTRIBUTED

          public static final org.apache.log4j.Logger COMMANDS_DISTRIBUTED

    - #### COMMANDS_DS

          public static final org.apache.log4j.Logger COMMANDS_DS

    - #### CDATA

          public static final org.apache.log4j.Logger CDATA

    - #### CLIENTS

          public static final org.apache.log4j.Logger CLIENTS

    - #### FAILOVER

          public static final org.apache.log4j.Logger FAILOVER

    - #### CLUSTER

          public static final org.apache.log4j.Logger CLUSTER

    - #### CONFIG

          public static final org.apache.log4j.Logger CONFIG

    - #### CONTEXT

          public static final org.apache.log4j.Logger CONTEXT

    - #### CONTEXT_INFO

          public static final org.apache.log4j.Logger CONTEXT_INFO

    - #### CONTEXT_CHILDREN

          public static final org.apache.log4j.Logger CONTEXT_CHILDREN

    - #### CONTEXT_VARIABLES

          public static final org.apache.log4j.Logger CONTEXT_VARIABLES

    - #### CONTEXT_FUNCTIONS

          public static final org.apache.log4j.Logger CONTEXT_FUNCTIONS

    - #### CONTEXT_EVENTS

          public static final org.apache.log4j.Logger CONTEXT_EVENTS

    - #### CONTEXT_ACTIONS

          public static final org.apache.log4j.Logger CONTEXT_ACTIONS

    - #### CONTEXT_WEBSERVER

          public static final org.apache.log4j.Logger CONTEXT_WEBSERVER

    - #### CODE_EDITOR

          public static final org.apache.log4j.Logger CODE_EDITOR

    - #### CORE

          public static final org.apache.log4j.Logger CORE

    - #### CORE_THREAD

          public static final org.apache.log4j.Logger CORE_THREAD

    - #### CCM

          public static final org.apache.log4j.Logger CCM

    - #### DASHBOARDS

          public static final org.apache.log4j.Logger DASHBOARDS

    - #### DATABASE

          public static final org.apache.log4j.Logger DATABASE

    - #### CONVERTER

          public static final org.apache.log4j.Logger CONVERTER

    - #### CORRELATOR

          public static final org.apache.log4j.Logger CORRELATOR

    - #### DEVICE

          public static final org.apache.log4j.Logger DEVICE

    - #### DEVICE_DISCOVERY

          public static final org.apache.log4j.Logger DEVICE_DISCOVERY

    - #### DEVICE_LICENSE

          public static final org.apache.log4j.Logger DEVICE_LICENSE

    - #### DEVICE_SYNCHRONIZATION

          public static final org.apache.log4j.Logger DEVICE_SYNCHRONIZATION

    - #### DEVICE_AGENT

          public static final org.apache.log4j.Logger DEVICE_AGENT

    - #### DEVICEBROWSER

          public static final org.apache.log4j.Logger DEVICEBROWSER

    - #### DEVICESERVER

          public static final org.apache.log4j.Logger DEVICESERVER

    - #### DEVICESERVER_INBANDS

          public static final org.apache.log4j.Logger DEVICESERVER_INBANDS

    - #### DATATABLE

          public static final org.apache.log4j.Logger DATATABLE

    - #### DATATABLE_FILTER

          public static final org.apache.log4j.Logger DATATABLE_FILTER

    - #### DATATABLEEDITOR

          public static final org.apache.log4j.Logger DATATABLEEDITOR

    - #### DNS

          public static final org.apache.log4j.Logger DNS

    - #### ENTITYSELECTOR

          public static final org.apache.log4j.Logger ENTITYSELECTOR

    - #### EVENTFILTER

          public static final org.apache.log4j.Logger EVENTFILTER

    - #### EVENTLOG

          public static final org.apache.log4j.Logger EVENTLOG

    - #### EXPRESSIONBUILDER

          public static final org.apache.log4j.Logger EXPRESSIONBUILDER

    - #### EXPRESSIONS

          public static final org.apache.log4j.Logger EXPRESSIONS

    - #### FAVOURITES

          public static final org.apache.log4j.Logger FAVOURITES

    - #### GROUPS

          public static final org.apache.log4j.Logger GROUPS

    - #### GUI

          public static final org.apache.log4j.Logger GUI

    - #### GUIBUILDER

          public static final org.apache.log4j.Logger GUIBUILDER

    - #### GUIDE

          public static final org.apache.log4j.Logger GUIDE

    - #### MAIL

          public static final org.apache.log4j.Logger MAIL

    - #### MOBILE

          public static final org.apache.log4j.Logger MOBILE

    - #### MODELS

          public static final org.apache.log4j.Logger MODELS

    - #### CLASSES

          public static final org.apache.log4j.Logger CLASSES

    - #### NETADMIN

          public static final org.apache.log4j.Logger NETADMIN

    - #### NOSQL

          public static final org.apache.log4j.Logger NOSQL

    - #### PERFORMANCE

          public static final org.apache.log4j.Logger PERFORMANCE

    - #### PERMISSIONS

          public static final org.apache.log4j.Logger PERMISSIONS

    - #### PLUGINS

          public static final org.apache.log4j.Logger PLUGINS

    - #### PROPERTIESEDITOR

          public static final org.apache.log4j.Logger PROPERTIESEDITOR

    - #### PROTOCOL

          public static final org.apache.log4j.Logger PROTOCOL

    - #### PROTOCOL_CACHING

          public static final org.apache.log4j.Logger PROTOCOL_CACHING

    - #### QUERIES

          public static final org.apache.log4j.Logger QUERIES

    - #### REPORTS

          public static final org.apache.log4j.Logger REPORTS

    - #### REQUESTS

          public static final org.apache.log4j.Logger REQUESTS

    - #### RESOURCE

          public static final org.apache.log4j.Logger RESOURCE

    - #### REST

          public static final org.apache.log4j.Logger REST

    - #### SCHEDULER

          public static final org.apache.log4j.Logger SCHEDULER

    - #### SCRIPTS

          public static final org.apache.log4j.Logger SCRIPTS

    - #### SECURITY

          public static final org.apache.log4j.Logger SECURITY

    - #### STATISTICS

          public static final org.apache.log4j.Logger STATISTICS

    - #### STRUCTURE

          public static final org.apache.log4j.Logger STRUCTURE

    - #### GRANULATION

          public static final org.apache.log4j.Logger GRANULATION

    - #### TEMPLATES

          public static final org.apache.log4j.Logger TEMPLATES

    - #### STDOUT

          public static final org.apache.log4j.Logger STDOUT

    - #### STDERR

          public static final org.apache.log4j.Logger STDERR

    - #### STORE

          public static final org.apache.log4j.Logger STORE

    - #### SYSTEMTREE

          public static final org.apache.log4j.Logger SYSTEMTREE

    - #### TEST

          public static final org.apache.log4j.Logger TEST

    - #### TRACKERS

          public static final org.apache.log4j.Logger TRACKERS

    - #### USERS

          public static final org.apache.log4j.Logger USERS

    - #### VIEW

          public static final org.apache.log4j.Logger VIEW

    - #### WEB

          public static final org.apache.log4j.Logger WEB

    - #### DEBUG

          public static final org.apache.log4j.Logger DEBUG

    - #### WIDGETS

          public static final org.apache.log4j.Logger WIDGETS

    - #### WORKFLOWS

          public static final org.apache.log4j.Logger WORKFLOWS

    - #### WATCHDOG

          public static final org.apache.log4j.Logger WATCHDOG

    - #### WATCHDOG_MEASURE

          public static final org.apache.log4j.Logger WATCHDOG_MEASURE

    - #### PING

          public static final org.apache.log4j.Logger PING

    - #### PING_STATS

          public static final org.apache.log4j.Logger PING_STATS

    - #### BILLING

          public static final org.apache.log4j.Logger BILLING

    - #### LOGGING_CONFIG_FILENAME

          public static final java.lang.String LOGGING_CONFIG_FILENAME

      See Also:
        Constant Field Values

    - #### CLIENT_LOGGING_CONFIG_FILENAME

          public static final java.lang.String CLIENT_LOGGING_CONFIG_FILENAME

      See Also:
        Constant Field Values

    - #### LOGGING_CONFIG_CHECK_INTERVAL

          public static final int LOGGING_CONFIG_CHECK_INTERVAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Log

          public Log()

  - ### Method Detail

    - #### start

          public static void start()

    - #### start

          public static void start(java.lang.String loggingConfigFile)

    - #### start

          public static void start(java.lang.String homeDirectory,
                                   java.lang.String loggingConfigFile)

    - #### start

          public static void start(java.net.URL url)